#define	MODULE_NAME	"MAIN"

#include "TOOLS.h"

void	main (int argc, char ** argv)
{
	char *		fname = FNAME ("main");
	char		str_time [30];
	t_date		date = {1970,1,1};
	time_t		t;
	struct tm 	tm;

	sprintf (str_time, "%04d-%02d-%02dT00:00:00Z", date.year, date.month, date.day);

	Message_log (1, fname, "time_t = 0 => %s", time_to_str (0));
	Message_log (1, fname, "time_to_str = %s", time_to_str (str_to_time (str_time)));

	memset (&tm, 0, sizeof (struct tm));

	Message_log (1, fname, "str = %s", str_time);

	strptime (str_time, "%Y-%m-%dT%H%M%S", & tm);

	Message_log (1, fname, "strptime  = %d, %d, %d, %d, %d, %d",
		tm.tm_year + 1900, tm.tm_mon +1, tm.tm_mday, tm.tm_hour, tm.tm_min, tm.tm_sec);

	t = timegm (& tm);

	Message_log (1, fname, "time_t = %lld", t);

	strftime (str_time, 40, "%F %T", gmtime (& t));

	Message_log (1, fname, "gmtime = %s", str_time);

	strftime (str_time, 40, "%F %T", localtime (& t));

	Message_log (1, fname, "locatime = %s", str_time);

	sprintf (str_time, "%04d-%02d-%02dT12:00:00Z", date.year, date.month, date.day);

	Message_log (1, fname, "str_time = %s", str_time);

	t = str_to_time (str_time);

	Message_log (1, fname, "time_t = %lld", t);
	Message_log (1, fname, "time_to_str = %s", time_to_str (t));
	Message_log (1, fname, "now = %s", Now());
}
	
